__gnu_pbds::detail::no_throw_copies< Key, Mapped >(3cxx)

NAME
__gnu_pbds::detail::no_throw_copies< Key, Mapped > - Primary template.

SYNOPSIS

#include <types_traits.hpp>

  Public Types

typedef integral_constant< int, __simple > indicator

  Static Public Attributes

static const bool __simple

Detailed Description

  template<typename Key, typename Mapped>
struct __gnu_pbds::detail::no_throw_copies< Key, Mapped >"Primary template.

Definition at line 61 of file types_traits.hpp.

Member Typedef Documentation

  template<typename Key , typename Mapped > typedef integral_constant<int, __simple> __gnu_pbds::detail::no_throw_copies< Key, Mapped >::indicator

Definition at line 65 of file types_traits.hpp.

Member Data Documentation

  template<typename Key , typename Mapped > const bool __gnu_pbds::detail::no_throw_copies< Key, Mapped >::__simple [static]

Definition at line 63 of file types_traits.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.